Polygonize (raster to vector) fails

2018-01-12 11:57 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee:

Category: Rasters

Affected QGIS version:master Regression?: No

Operating System: Windows 7 (OSGeo4W) Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25741

Description

When running the Menu "Raster" --> "Conversion" --> "Polygonize (raster to vector)" command, which internally uses "gdal_polygonize"

the algorithm fails with the following error message:

Processing algorithm...

Algorithm 'Polygonize (raster to vector)' starting...

Input parameters:

{ 'INPUT' : 'C:/temp/dtm_extract_test.tif', 'BAND' : 1, 'FIELD' : 'DN', 'EIGHT_CONNECTEDNESS' : True, 'OUTPUT' :

'C:/temp/test_hs.shp' }

GDAL command:

cmd.exe /C gdal_polygonize.bat C:/temp/dtm_extract_test.tif "C:/temp/test_hs.shp" -8 -b 1 -f "ESRI Shapefile" None DN

GDAL command output:

File "C:\Program Files\OSGEO4~1\apps\Python36\lib\site.py", line 177 

file=sys.stderr) 

^ 

SyntaxError: invalid syntax 

Execution completed in 0.19 seconds

Results:

{'OUTPUT': <QgsProcessingOutputLayerDefinition {'sink':C:/temp/test_hs.shp, 'createOptions': {'fileEncoding': 'UTF-8'}}>}

Loading resulting layers

The following layers were not correctly generated.

C:/temp/test_hs.shp

You can check the 'Log Messages Panel' in QGIS main window to find more information about the execution of the algorithm.

See also the screenshot attached for the same error message in a screenshot.

Related issues:

Related to QGIS Application - Bug report # 17298: Processing: gdal merge pyth... Closed 2017-10-17

History

#1 - 2018-01-12 11:59 AM - Andreas Neumann

- File dtm_extract_test.zip added

attaching sample file for raster to vector conversion (binary Geotiff)
#2 - 2018-01-12 02:12 PM - Antonio Viscomi

Also in Windows10(1709)x64 (QGIS Master build fa2aff18e5) polygonize do not works and came out with the same error log

#3 - 2018-01-15 08:14 AM - Alexander Bruy

This same issue as #17298 and probably not related to the Processing itself.

#4 - 2018-01-15 08:14 AM - Alexander Bruy

- Related to Bug report #17298: Processing: gdal merge python error on QGIS 3 added

#5 - 2019-02-05 10:38 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

This should be fixed in recent releases

Files

gdal_polygonize_error.png 54.3 KB 2018-01-12 Andreas Neumann

dtm_extract_test.zip 114 KB 2018-01-12 Andreas Neumann
